| GNSS data to OSM format processor and track finder author: Jaroslav Pizur

- Main Page
- Packages
- Files

- Packages
- Package Functions

Functions
CVT Namespace Reference

Functions for visualisation handling. More...

## Functions
def | create_mapbase (set='german1')
def | get_separate_coords (tlist)
def | add_fg_direction (tlist, fg_name)
def | add_fg_OSM (tlist, geojson_file, fg_name)
def | add_fg_OSM_clean (geojson_file, fg_name)
def | fg_add_continuous (tlist, fg_name)
def | fg_add_basic (tlist, fg_name, wanted_color, wanted_radius=1)
def | fg_add_succession (tlist, fg_name)
def | close_mapbase (name, fmapbase, fglist)
def | normalisation_test_vis (real_input, normalised_crossroads, normalised_fine, vis_name, nodes_map_all)
def | visualisation (visdict)
def | run ()

## Detailed Description

Functions for visualisation handling.

## Function Documentation

## ◆ add_fg_direction()

def CVT.add_fg_direction | ( |  | tlist,
|  |  | fg_name
| ) |  |

## ◆ add_fg_OSM()

def CVT.add_fg_OSM | ( |  | tlist,
|  |  | geojson_file,
|  |  | fg_name
| ) |  |

## ◆ add_fg_OSM_clean()

def CVT.add_fg_OSM_clean | ( |  | geojson_file,
|  |  | fg_name
| ) |  |

## ◆ close_mapbase()

def CVT.close_mapbase | ( |  | name,
|  |  | fmapbase,
|  |  | fglist
| ) |  |

## ◆ create_mapbase()

def CVT.create_mapbase | ( |  | set = `'german1'` | ) |

## ◆ fg_add_basic()

def CVT.fg_add_basic | ( |  | tlist,
|  |  | fg_name,
|  |  | wanted_color,
|  |  | wanted_radius = `1`
| ) |  |

## ◆ fg_add_continuous()

def CVT.fg_add_continuous | ( |  | tlist,
|  |  | fg_name
| ) |  |

## ◆ fg_add_succession()

def CVT.fg_add_succession | ( |  | tlist,
|  |  | fg_name
| ) |  |

## ◆ get_separate_coords()

def CVT.get_separate_coords | ( |  | tlist | ) |

## ◆ normalisation_test_vis()

def CVT.normalisation_test_vis | ( |  | real_input,
|  |  | normalised_crossroads,
|  |  | normalised_fine,
|  |  | vis_name,
|  |  | nodes_map_all
| ) |  |

## ◆ run()

def CVT.run | ( |  | ) |

## ◆ visualisation()

def CVT.visualisation | ( |  | visdict | ) |